> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear un nuevo webhook

> Crear un nuevo webhook



## OpenAPI

````yaml post /webhook
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /webhook:
    post:
      tags:
        - Webhook
      summary: Crear un nuevo webhook
      description: Crear un nuevo webhook
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                events:
                  type: array
                  items:
                    type: string
                    enum:
                      - payment.created
                      - payment.voided
                      - payment.chargeback
                      - contact.status
                      - contact.active
                      - contact.inactive
                      - subscription.created
                      - subscription.updated
                      - subscription.cancelled
                  minItems: 1
                externalReference:
                  type: string
              required:
                - url
                - events
      responses:
        '201':
          description: Webhook creado con éxito
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                required:
                  - id
        '400':
          description: Solicitud incorrecta, datos de entrada no válidos
          content:
            application/json:
              schema:
                type: object
                properties: {}
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````